Skip to content

Quotes

GET /assets/{asset}/quote

A quote gives the price of one unit of an asset in the requested currency. See What can you trade? for asset examples.

Request

GET /assets/XPAR-MC/quote?currency=EUR
Input Meaning and format
asset Asset ID: fiat-{currency}, crypto-{symbol}, or {MIC}-{symbol}. Currency: uppercase ISO 4217; MIC: uppercase ISO 10383. Maximum 128 UTF-8 bytes.
currency Required query parameter. Fiat quote currency, uppercase ISO 4217: the listing’s trading currency for exchange assets, USD for crypto, or the counter currency for forex.

Response: 200 OK

{
"meta": {
"network": "bubblegum",
"at": "2026-11-22T12:00:27.469960561Z"
},
"data": {
"public": {
"asset": {
"id": "XPAR-MC",
"name": "LVMH Moët Hennessy Louis Vuitton SE"
},
"quote": {
"currency": "EUR",
"price_per_unit": "381.95001"
}
}
}
}
Output Meaning and format
asset.id Asset ID: fiat-{currency}, crypto-{symbol}, or {MIC}-{symbol}. Currency: uppercase ISO 4217; MIC: uppercase ISO 10383. Maximum 128 UTF-8 bytes.
asset.name Asset name. String.
quote.currency Fiat quote currency. Uppercase ISO 4217 code.
quote.price_per_unit Price per asset unit, in quote.currency. Positive plain decimal string, up to 18 decimal places; no trailing fractional zeros. Maximum 340282366920938463463.374607431768211455.
network Selected network. String.
at Response time. RFC 3339 (ISO 8601 profile), UTC (Z), exactly 9 fractional digits.